%define	name	freeciv
%define version	2.1.3
%define rel	1
%define release %mkrel %{rel}

Name:		%{name}
Summary:	FREE CIVilization clone
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.freeciv.org/freeciv/stable/%{name}-%{version}.tar.bz2
Source1:	%{name}.server.wrapper
Source2:	stdsounds2.tar.bz2
Source3:	%{name}.bash-completion
License:	GPLv2+
Group:		Games/Strategy
BuildRequires:	SDL_mixer-devel gtk+2-devel ncurses-devel readline-devel
BuildRequires:	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.freeciv.org/

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server = %{version}

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version} %{name}-server = %{version}

%description    client
This is the graphical client for freeciv

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version}

%description    server
This is the server for freeciv.

%prep
%setup -q

%build
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --enable-client=gtk-2.0 
%make

%install
rm -rf %{buildroot}
%makeinstall_std localedir=%{_datadir}/locale

tar -jxf %{SOURCE2} -C %{buildroot}%{_gamesdatadir}/%{name}

# wrapper
mv %{buildroot}%{_gamesbindir}/civserver %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/civserver

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

# menu entry
perl -pi -e 's/\.png$//' %{buildroot}%{_datadir}/applications/*.desktop
desktop-file-install --vendor="" \
			--remove-category="Application" \
			--remove-category="GNOME" \
			--remove-category="Strategy" \
			--add-category="GTK" \
			--add-category="StrategyGame" \
			--dir %{buildroot}%{_datadir}/applications \
            %{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%post client
%update_menus

%postun client
%clean_menus

%post server
%update_menus

%postun server
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang data
%defattr(-,root,root)
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}

%files client
%defattr(-,root,root)
%{_gamesbindir}/civclient
%{_gamesbindir}/civmanual
%{_mandir}/man6/civclient.6*
%{_datadir}/applications/freeciv.desktop
%{_datadir}/pixmaps/freeciv-client.png
%{_iconsdir}/hicolor/*/apps/freeciv-client.png

%files server
%defattr(-,root,root)
%{_gamesbindir}/civserver*
%{_mandir}/man6/civserver.6*
%{_datadir}/applications/freeciv-server.desktop
%{_iconsdir}/hicolor/*/apps/freeciv-server.png


%changelog
* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 161008
- New version 2.1.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2008.1
+ Revision: 113770
- update to new version 2.1.1

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-2mdv2008.1
+ Revision: 107952
- decompressed additional sources
- fix wrapper perms (fix bug#35451)

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 106825
- sanitize perms
- use upstream icons
- new version

* Mon Sep 17 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-3mdv2008.0
+ Revision: 89330
- reintroduce configure2_5x
- drop duplicate category in desktop file
- set optimzation to -O1 to fix bug #33680

* Sat Sep 01 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.9-2mdv2008.0
+ Revision: 77707
- drop old menu
- configure2_5x is no more

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 18 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.9-1mdv2007.0
+ Revision: 122382
- 2.0.9
- regenerate P0
- Import freeciv

* Wed Sep 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-5mdv2007.0
- rebuild

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-4mdv2007.0
- fix so that we use the icon we supply in the xdg menu (P2)

* Tue Aug 15 2006 Götz Waschk <waschk@mandriva.org> 2.0.8-3mdv2007.0
- fix buildrequires

* Mon Jul 31 2006 Emmanuel Andry <eandry@mandriva.org> 2.0.8-2mdv2007.0
- xdg menu

* Mon Mar 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.8-1mdk
- New release 2.0.8

* Mon Nov 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-1mdk
- New release 2.0.7

* Sat Oct 01 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.6-1mdk
- 2.0.6

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-2mdk
- fix problem with translations not being used (P0 from debian, fixes #15720)
- show in the caravan dialog how many shields remain to have a wonder built (P1 from debian)
- fix requires-on-release
- make client require server as it's required for single player games

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.4-1mdk
- New release 2.0.4

* Fri Aug 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.3-2mdk
- Rebuild

* Fri Jul 22 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.3-1mdk
- 2.0.3

* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.2-1mdk
- 2.0.2

* Mon May 02 2005 Nicolas Chipaux <chipaux@mandriva.com> 2.0.1-1mdk
- 2.0.1

* Tue Apr 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.0-1mdk
- 2.0.0
- %%mkrel

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14.2-2mdk
- rebuild for new readline

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.14.2-1mdk
- 1.14.2
- drop Packager tag

